restinio::connection_count_limits Namespace Reference

## Namespaces

namespace | impl

## Classes

class | connection_count_limiter_t
| Template class for connection count limiter for the case when connection count limit is actually used. More...
class | connection_count_limiter_t< default_strand_t >
| Implementation of connection count limiter for multi-threading mode. More...
class | connection_count_limiter_t< noop_strand_t >
| Implementation of connection count limiter for single-threading mode. More...
class | connection_lifetime_monitor_t
| Helper type for controlling the lifetime of the connection. More...
class | connection_lifetime_monitor_t< noop_connection_count_limiter_t >
| Specialization of connection_lifetime_monitor for the case when connection count limiter is not used at all. More...
struct | max_active_accepts_tag
struct | max_parallel_connections_tag
class | noop_connection_count_limiter_t
| An implementation of connection count limiter for the case when connection count is not limited. More...

## Typedefs

using | max_parallel_connections_t = restinio::utils::tagged_scalar_t< std::size_t, max_parallel_connections_tag >
| A kind of strict typedef for maximum count of active connections. More...
using | max_active_accepts_t = restinio::utils::tagged_scalar_t< std::size_t, max_active_accepts_tag >
| A kind of strict typedef for maximum count of active accepts. More...

## Typedef Documentation

## max_active_accepts_t

using restinio::connection_count_limits::max_active_accepts_t = typedef restinio::utils::tagged_scalar_t< std::size_t, max_active_accepts_tag >

A kind of strict typedef for maximum count of active accepts.

Since
  v.0.6.12

Definition at line 51 of file connection_count_limiter.hpp.

## max_parallel_connections_t

using restinio::connection_count_limits::max_parallel_connections_t = typedef restinio::utils::tagged_scalar_t< std::size_t, max_parallel_connections_tag >

A kind of strict typedef for maximum count of active connections.

Since
  v.0.6.12

Definition at line 38 of file connection_count_limiter.hpp.